package com.seeyon.apps.src_contract.lease.kit;

import com.seeyon.ctp.common.SystemEnvironment;

/**
 * Description
 * <pre>获取A8产品下面的文件夹路径</pre>
 * Copyright(c) Beijing Seeyon Software Co.,LTD
 */
public class A8FolderKit {
	
	private static String SH_PROP = "";
	private static String JDBC_PROP = "";

	/**
	 * Description:
	 * <pre>获取到A8的安装应用目录  seeyon</pre>
	 * @return
	 */
	public static String getPropFile() {
		if("".equals(SH_PROP)) {
			SH_PROP = SystemEnvironment.getApplicationFolder() + "/WEB-INF/cfgHome/plugin/src_contract/BIPcontract.properties";
		}
		return SH_PROP;
	}
	
	/**
	 * Description:
	 * <pre>获取到A8的安装应用目录  seeyon</pre>
	 * @return
	 */
	public static String getPropJDBCFile() {
		if("".equals(JDBC_PROP)) {
			JDBC_PROP = SystemEnvironment.getApplicationFolder() + "/WEB-INF/cfgHome/plugin/src_contract/JDBCcontract.properties";
		}
		return JDBC_PROP;
	}
	
}
